VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "comctl32.ocx"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   6465
   ClientLeft      =   60
   ClientTop       =   720
   ClientWidth     =   9960
   LinkTopic       =   "Form1"
   ScaleHeight     =   6465
   ScaleWidth      =   9960
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtOutPut 
      Height          =   375
      Left            =   240
      Locked          =   -1  'True
      TabIndex        =   5
      Top             =   4440
      Width           =   9495
   End
   Begin VB.TextBox txtCL 
      Height          =   735
      Left            =   240
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   4
      Top             =   5520
      Width           =   9375
   End
   Begin VB.CommandButton cmdConvert 
      Caption         =   "Convertir"
      Enabled         =   0   'False
      Height          =   375
      Left            =   8160
      TabIndex        =   3
      Top             =   4920
      Width           =   1575
   End
   Begin MSComDlg.CommonDialog cd 
      Left            =   9240
      Top             =   3960
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "Seleccionar archivo"
      Height          =   375
      Left            =   8160
      TabIndex        =   2
      Top             =   3960
      Width           =   1575
   End
   Begin VB.TextBox txtFile 
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   3480
      Width           =   9495
   End
   Begin ComctlLib.ListView lv 
      Height          =   2535
      Left            =   120
      TabIndex        =   0
      Top             =   480
      Width           =   9735
      _ExtentX        =   17171
      _ExtentY        =   4471
      LabelWrap       =   -1  'True
      HideSelection   =   0   'False
      _Version        =   327682
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   0
   End
   Begin VB.Label lblDesc 
      AutoSize        =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   1680
      TabIndex        =   10
      Top             =   4200
      Width           =   75
   End
   Begin VB.Label Label4 
      Caption         =   "lnea de comandos"
      Height          =   255
      Left            =   240
      TabIndex        =   9
      Top             =   5160
      Width           =   2535
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "Archivo de salida"
      Height          =   195
      Left            =   240
      TabIndex        =   8
      Top             =   4200
      Width           =   1215
   End
   Begin VB.Label Label2 
      Caption         =   "Seleccionar archivo a convertir"
      Height          =   255
      Left            =   240
      TabIndex        =   7
      Top             =   3120
      Width           =   2535
   End
   Begin VB.Label Label1 
      Caption         =   "Seleccionar formato"
      Height          =   255
      Left            =   240
      TabIndex        =   6
      Top             =   120
      Width           =   3735
   End
   Begin VB.Menu mnuFile 
      Caption         =   "Archivo"
      Begin VB.Menu mnuExit 
         Caption         =   "Salir"
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

' --------------------------------------------------------------------------------
' \\ -- Declaraciones
' --------------------------------------------------------------------------------

Private Declare Function SetErrorMode Lib "kernel32" (ByVal wMode As Long) As Long
Private Declare Sub InitCommonControls Lib "Comctl32" ()

Private cPresetFFMPg As cFFPresetMPG


' --------------------------------------------------------------------------------
' \\ -- Botn para convertir el archivo
' --------------------------------------------------------------------------------
Private Sub cmdConvert_Click()

    Dim sInput      As String
    Dim sParam      As String
    Dim sOutput     As String
    
    ' -- setear los parmetros
    sInput = App.Path & "\ffmpeg.exe " & "-i " & Chr(34) & txtFile.Text & Chr(34)
    sParam = " " & lv.SelectedItem.SubItems(3) & " "
    sOutput = " " & Chr(34) & txtOutPut.Text & Chr(34)
    ' -- Ejecutar la lnea de comandos con funcin shell
    txtCL.Text = sInput & sParam & sOutput
    If Len(txtCL.Text) Then Shell txtCL, vbMaximizedFocus
End Sub
' --------------------------------------------------------------------------------
' \\ -- Botn para seleccionar archivo
' --------------------------------------------------------------------------------
Private Sub cmdOpen_Click()
    With cd
        .FileName = ""
        .ShowOpen
        If Len(.FileName) Then txtFile.Text = .FileName
        cmdConvert.Enabled = Len(.FileName)
    End With
End Sub

' --------------------------------------------------------------------------------
' \\ -- Inicio
' --------------------------------------------------------------------------------

Private Sub Form_Initialize()
    Call SetErrorMode(2)
    Call InitCommonControls
End Sub
Private Sub Form_Load()
    
    Dim lvItem As ListItem
    Dim i      As Long
    Set cPresetFFMPg = New cFFPresetMPG
    ' -- setear listview
    With lv
        .View = lvwReport
        .ColumnHeaders.Add , , "Formato"
        .ColumnHeaders.Add , , "Categoria"
        .ColumnHeaders.Add , , "Descripcin", 6000
        .ColumnHeaders.Add , , "lnea de comandos", 0
    End With
    ' -- Recorrer todos los presets y cargarlos en el LV
    With cPresetFFMPg
        For i = 0 To .PresetsCount
            Call .setPreset(i)
            Set lvItem = lv.ListItems.Add(, , .PresetExtension)
            lvItem.SubItems(1) = .PresetCategory
            lvItem.SubItems(2) = .PresetDescription
            lvItem.SubItems(3) = .PresetParameters '-- linea de comandos
        Next
        Call lv_ItemClick(lv.ListItems(1))
    End With
End Sub

Private Sub Form_Unload(Cancel As Integer)
    If Not cPresetFFMPg Is Nothing Then Set cPresetFFMPg = Nothing
End Sub

Private Sub lv_ItemClick(ByVal Item As ComctlLib.ListItem)
    txtOutPut = App.Path & "\archivo." & lv.SelectedItem.Text
    lblDesc.Caption = Item.SubItems(2) & " -- Formato: " & Item.Text
End Sub

Private Sub mnuExit_Click()
    Unload Me
End Sub
